
From: Anton Blanchard <anton@samba.org>

Reduce the stack overflow warning from 4kB to 2kB now that its been in and
tested for a while.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/irq.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/kernel/irq.c~ppc64-reduce-stack-overflow-warning-threshold arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~ppc64-reduce-stack-overflow-warning-threshold	2004-08-15 12:49:49.254946992 -0700
+++ 25-akpm/arch/ppc64/kernel/irq.c	2004-08-15 12:49:49.258946384 -0700
@@ -586,13 +586,13 @@ void do_IRQ(struct pt_regs *regs)
 	irq_enter();
 
 #ifdef CONFIG_DEBUG_STACKOVERFLOW
-	/* Debugging check for stack overflow: is there less than 4KB free? */
+	/* Debugging check for stack overflow: is there less than 2KB free? */
 	{
 		long sp;
 
 		sp = __get_SP() & (THREAD_SIZE-1);
 
-		if (unlikely(sp < (sizeof(struct thread_info) + 4096))) {
+		if (unlikely(sp < (sizeof(struct thread_info) + 2048))) {
 			printk("do_IRQ: stack overflow: %ld\n",
 				sp - sizeof(struct thread_info));
 			dump_stack();
@@ -629,13 +629,13 @@ void do_IRQ(struct pt_regs *regs)
 	irq_enter();
 
 #ifdef CONFIG_DEBUG_STACKOVERFLOW
-	/* Debugging check for stack overflow: is there less than 4KB free? */
+	/* Debugging check for stack overflow: is there less than 2KB free? */
 	{
 		long sp;
 
 		sp = __get_SP() & (THREAD_SIZE-1);
 
-		if (unlikely(sp < (sizeof(struct thread_info) + 4096))) {
+		if (unlikely(sp < (sizeof(struct thread_info) + 2048))) {
 			printk("do_IRQ: stack overflow: %ld\n",
 				sp - sizeof(struct thread_info));
 			dump_stack();
_
